Effect File Reference
`#include <osgFX/Export>`
`#include <osgFX/Technique>`
`#include <osg/buffered_value>`
`#include <osg/ref_ptr>`
`#include <osg/Node>`
`#include <osg/Group>`
`#include <osg/Geode>`
`#include <osg/OccluderNode>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | osgFX::Effect

## Namespaces

namespace | osgFX

## Macros

#define | OSGFX__effect
#define | META_Effect(library, classname, effectname, effectdescription, effectauthor)

## Macro Definition Documentation

## META_Effect

#define META_Effect | ( |  | library,
|  |  | classname,
|  |  | effectname,
|  |  | effectdescription,
|  |  | effectauthor )

Value:
META_Node(library, classname) \
virtual const char *effectName() const { return effectname; } \
virtual const char *effectDescription() const { return effectdescription; } \
virtual const char *effectAuthor() const { return effectauthor; }
META_Node
#define META_Node(library, name)
Definition Node:59

An helper macro that defines the methods like effectName() and effectDescription() making them return the strings passed as parameters, after the usual library name and class name.

## OSGFX__effect

#define OSGFX__effect